%define		kdeplasmaver	5.15.3
%define		qtver		5.9.0
%define		kpname		sddm-kcm

Summary:	KDE Config Module for SDDM
Name:		kp5-%{kpname}
Version:	5.15.3
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	b2a458ec19d39cdecc969b1e5ad226dd
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-kauth-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KDE Config Module for SDDM.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
/etc/dbus-1/system.d/org.kde.kcontrol.kcmsddm.conf
%attr(755,root,root) %{_libexecdir}/kauth/kcmsddm_authhelper
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_sddm.so
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmsddm.service
%{_datadir}/kservices5/kcm_sddm.desktop
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmsddm.policy
%{_datadir}/sddm-kcm
/etc/xdg/sddmtheme.knsrc
%attr(755,root,root) %{_bindir}/sddmthemeinstaller
%changelog
* Sat May 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-sddm-kcm.git;a=log;h=master

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> e4ff7cf
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 1870ef8
- updated to 5.14.5

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 133637c
- updated to 5.14.4

* Sat Mar 24 2018 Jan Rękorajski <baggins@pld-linux.org> 82f3671
- kauth in libexecdir
- rel 2

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> e6e1df0
- updated to 5.11.2

* Sat Sep 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3442931
- find_lang --with kde

* Mon Sep 07 2015 Elan Ruusamäe <glen@delfi.ee> 92b847c
- formatting

* Mon Sep 07 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6cf2588
- rel 2; include whole sddm-kcm dir

* Mon Sep 07 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a4ba196
- initial

